# -*- python -*-
# $RCSfile: builtinprops.py,v $
# $Revision: 1.5 $
# $Author: redwing $
# $Date: 2004/08/31 19:07:03 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

# This file has the big block of imports which gets all the
# built-in property classes.  These imports run the initialization code
# in the property classes themselves, creating a PropertyRegistration
# entry, which then adds itself to the restricted namespace.

# Properties not in this list can be imported by the user at
# other points, so this list of properties is not guaranteed to
# be exhaustive.
import SWIG.engine.properties

import SWIG.engine.property.elasticity.iso.iso
import SWIG.engine.property.elasticity.aniso.aniso 
import SWIG.engine.property.elasticity.thermo.thermo
import SWIG.engine.property.elasticity.nonlinear.nonlinear 
import engine.pyproperty
import SWIG.engine.property.color.color
import SWIG.engine.property.heatconductivity.heatconductivity
import SWIG.engine.property.massdensity.massdensity
import SWIG.engine.property.orientation.orientation
import SWIG.engine.property.thermalexpansion.thermalexpansion 
import engine.property.plasticity.plasticity
